## net.sf.saxon.event
Class DocumentSender

    java.lang.Object
      |
      +--net.sf.saxon.event.DocumentSender

All Implemented Interfaces:
  LocationProvider, org.xml.sax.Locator, SaxonLocator, javax.xml.transform.SourceLocator

public class DocumentSender
extends java.lang.Object
implements SaxonLocator

Sends an entire document to a Receiver.

Constructor Summary
`DocumentSender(NodeInfo top)` Create a DocumentSender, which takes an input document tree and generates a stream of events for a Receiver

Method Summary
`int` `getColumnNumber()`
`int` `getLineNumber()`
`int` `getLineNumber(int locationId)`
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getSystemId(int locationId)`
`void` `send(Receiver receiver)` Send the entire document to the receiver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSender

    public DocumentSender(NodeInfo top)

  Create a DocumentSender, which takes an input document tree and generates a stream of events for a Receiver

Parameters:
  `top` - the document or element node to be turned into a stream of events

Method Detail

### send

    public void send(Receiver receiver)
              throws XPathException

  Send the entire document to the receiver

    `XPathException`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId(int locationId)

  Specified by:
    `getSystemId` in interface `LocationProvider`

### getLineNumber

    public int getLineNumber(int locationId)

  Specified by:
    `getLineNumber` in interface `LocationProvider`